StructuredSyntaxHandler (Groovy 5.0.6)

Package: groovy.console.ui.text

## [Java] Class StructuredSyntaxHandler

- groovy.console.ui.text.StructuredSyntaxHandler

-     public class StructuredSyntaxHandler
      extends DefaultHandler

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `ALIGNMENT` |
    `static String` | `ALIGN_CENTER` |
    `static String` | `ALIGN_JUSTIFIED` |
    `static String` | `ALIGN_LEFT` |
    `static String` | `ALIGN_RIGHT` |
    `static String` | `BACKGROUND` |
    `static String` | `BIDI_LEVEL` |
    `static String` | `BOLD` |
    `static String` | `COMPONENT_ATTRIBUTE` |
    `static String` | `COMPONENT_ELEMENT_NAME` |
    `static String` | `COMPOSED_TEXT_ATTRIBUTE` |
    `static String` | `FIRST_LINE_INDENT` |
    `static String` | `FONT_FAMILY` |
    `static String` | `FONT_SIZE` |
    `static String` | `FOREGROUND` |
    `static String` | `ICON_ATTRIBUTE` |
    `static String` | `ICON_ELEMENT_NAME` |
    `static String` | `ITALIC` |
    `static String` | `LEFT_INDENT` |
    `static String` | `LINE_SPACING` |
    `static String` | `MODEL_ATTRIBUTE` |
    `static String` | `NAME_ATTRIBUTE` |
    `static String` | `ORIENTATION` |
    `static String` | `REGEXP` |
    `static String` | `RESOLVE_ATTRIBUTE` |
    `static String` | `RIGHT_INDENT` |
    `static String` | `SPACE_ABOVE` |
    `static String` | `SPACE_BELOW` |
    `static String` | `STRIKE_THROUGH` |
    `static String` | `STYLE` |
    `static String` | `SUBSCRIPT` |
    `static String` | `SUPERSCRIPT` |
    `static String` | `TAB_SET` |
    `static String` | `UNDERLINE` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StructuredSyntaxHandler(StructuredSyntaxDocumentFilter filter)` Creates a new instance of MasterFrameHandler

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `characters(char[] ch, int start, int length)`
    `` | `public void` | `endDocument()`
    `` | `public void` | `endElement(String uri, String localName, String qName)`
    `` | `public void` | `error(SAXParseException e)`
    `` | `public void` | `startDocument()`
    `` | `public void` | `startElement(String uri, String localName, String qName, Attributes attributes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultHandler` | `characters, declaration, endDocument, endElement, endPrefixMapping, equals, error, fatalError, getClass, hashCode, ignorableWhitespace, notationDecl, notify, notifyAll, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, toString, unparsedEntityDecl, wait, wait, wait, warning`

- - ### Field Detail

    - #### public static final String ALIGNMENT

    - #### public static final String ALIGN_CENTER

    - #### public static final String ALIGN_JUSTIFIED

    - #### public static final String ALIGN_LEFT

    - #### public static final String ALIGN_RIGHT

    - #### public static final String BACKGROUND

    - #### public static final String BIDI_LEVEL

    - #### public static final String BOLD

    - #### public static final String COMPONENT_ATTRIBUTE

    - #### public static final String COMPONENT_ELEMENT_NAME

    - #### public static final String COMPOSED_TEXT_ATTRIBUTE

    - #### public static final String FIRST_LINE_INDENT

    - #### public static final String FONT_FAMILY

    - #### public static final String FONT_SIZE

    - #### public static final String FOREGROUND

    - #### public static final String ICON_ATTRIBUTE

    - #### public static final String ICON_ELEMENT_NAME

    - #### public static final String ITALIC

    - #### public static final String LEFT_INDENT

    - #### public static final String LINE_SPACING

    - #### public static final String MODEL_ATTRIBUTE

    - #### public static final String NAME_ATTRIBUTE

    - #### public static final String ORIENTATION

    - #### public static final String REGEXP

    - #### public static final String RESOLVE_ATTRIBUTE

    - #### public static final String RIGHT_INDENT

    - #### public static final String SPACE_ABOVE

    - #### public static final String SPACE_BELOW

    - #### public static final String STRIKE_THROUGH

    - #### public static final String STYLE

    - #### public static final String SUBSCRIPT

    - #### public static final String SUPERSCRIPT

    - #### public static final String TAB_SET

    - #### public static final String UNDERLINE

  - ### Constructor Detail

    - #### public StructuredSyntaxHandler(StructuredSyntaxDocumentFilter filter)

      Creates a new instance of MasterFrameHandler

      Parameters:
        filter

  - ### Method Detail

    - #### @Override
      public void characters(char[] ch, int start, int length)

    - #### @Override
      public void endDocument()

    - #### @Override
      public void endElement(String uri, String localName, String qName)

    - #### @Override
      public void error(SAXParseException e)

    - #### @Override
      public void startDocument()

    - #### @Override
      public void startElement(String uri, String localName, String qName, Attributes attributes)